You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mxnet.apache.org by zh...@apache.org on 2018/08/31 19:42:27 UTC

[incubator-mxnet] branch master updated: fixed docs/website build checkout bug (#12413)

This is an automated email from the ASF dual-hosted git repository.

zhasheng pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-mxnet.git


The following commit(s) were added to refs/heads/master by this push:
     new 5ace01c  fixed docs/website build checkout bug (#12413)
5ace01c is described below

commit 5ace01cd4e809428a2177501f91df41d167ae11b
Author: Aaron Markham <ma...@amazon.com>
AuthorDate: Fri Aug 31 12:42:11 2018 -0700

    fixed docs/website build checkout bug (#12413)
    
    * fixed checkout bug; fixed echo statement
    
    * turning off clojure docs for v1.2.0
---
 docs/build_version_doc/build_all_version.sh | 4 ++--
 docs/settings.ini                           | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/docs/build_version_doc/build_all_version.sh b/docs/build_version_doc/build_all_version.sh
index d36f1f5..350c75b 100755
--- a/docs/build_version_doc/build_all_version.sh
+++ b/docs/build_version_doc/build_all_version.sh
@@ -114,7 +114,7 @@ function checkout () {
   # Overriding configs later will cause a conflict here, so stashing...
   git stash
   # Fails to checkout if not available locally, so try upstream
-  git checkout "$repo_folder" || git branch $repo_folder "upstream/$repo_folder"
+  git checkout "$repo_folder" || git branch $repo_folder "upstream/$repo_folder" && git checkout "$repo_folder" || exit 1
   if [ $tag == 'master' ]; then
     git pull
   fi
@@ -174,4 +174,4 @@ done
 
 echo "Now you may want to run update_all_version.sh to create the production layout with the versions dropdown and other per-version corrections."
 echo "The following pattern is recommended (tags, default tag, url base):"
-echo "./update_all_version.sh "$tags_to_display " master http://mxnet.incubator.apache.org/"
+echo "./update_all_version.sh \"$2\" master http://mxnet.incubator.apache.org/"
diff --git a/docs/settings.ini b/docs/settings.ini
index f999b3e..b8e486e 100644
--- a/docs/settings.ini
+++ b/docs/settings.ini
@@ -14,7 +14,7 @@ r_docs = 0
 scala_docs = 1
 
 [document_sets_v1.2.0]
-clojure_docs = 1
+clojure_docs = 0
 doxygen_docs = 1
 r_docs = 0
 scala_docs = 1